cowboy_req:peer(3)

NAME

cowboy_req:peer - Peer address and port

DESCRIPTION
    peer(Req :: cowboy_req:req()) -> Info

    Info :: {inet:ip_address(), inet:port_number()}

Return the peer's IP address and port number.

The peer information can also be obtained using pattern matching:

    #{peer := {IP, Port}} = Req.

ARGUMENTS

Req
    The Req object.

RETURN VALUE

The peer's IP address and port number.

The peer is not necessarily the client's IP address and port. It is the IP address of the endpoint connecting directly to the server, which may be a gateway or a proxy.

The forwarded header can be used to get better information about the different endpoints from the client to the server. Note however that it is only informative; there is no reliable way of determining the source of an HTTP request.

CHANGELOG
    • 2.0: Only the peer is returned, it is no longer wrapped in a tuple.
    • 1.0: Function introduced.

EXAMPLES

Get the peer IP address and port number.
    {IP, Port} = cowboy_req:peer(Req).

SEE ALSO

cowboy_req(3), cowboy_req:sock(3), cowboy_req:cert(3)